> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elemente.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create phone number



## OpenAPI

````yaml post /api/v1/phone-numbers
openapi: 3.0.0
info:
  title: Elemente.ai APIS Documentation
  description: >-
    Elemente.AI is an innovative company specializing in artificial intelligence
    (AI) solutions for call centers. Its leading products include Voice to Voice
    AI agents, AI-powered call analysis, and AI-based chat systems, designed to
    enhance operational efficiency and the customer experience.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.elemente.ai
security: []
tags:
  - name: Calls
    description: Call related APIs
  - name: Agents
    description: Agents related APIs
  - name: Actions
    description: Actions allows your agent connect to external tools and systems.
  - name: Knowledgebase
    description: >-
      Train your agents on external knowledgebase sources like your companies
      data, privacy policy, term of service or even your product catalogue
  - name: Skills
    description: Add capabilities to your AI agents
paths:
  /api/v1/phone-numbers:
    post:
      tags:
        - Numbers
      summary: Create phone number
      operationId: PhoneNumberController_createPhoneNumber
      parameters: []
      requestBody:
        required: true
        description: Input data for creating a phone number
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePhoneNumber'
      responses:
        '201':
          description: Phone number created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhoneNumber'
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
      security:
        - basic: []
components:
  schemas:
    CreatePhoneNumber:
      type: object
      properties:
        phone:
          type: string
          description: The phone number
          example: '+1234567890'
        country:
          type: string
          description: The country code
          example: US
          nullable: true
      required:
        - phone
        - country
    PhoneNumber:
      type: object
      properties:
        phone:
          type: string
          description: The phone number
          example: '+1234567890'
        agentId:
          type: string
          description: The agent ID
          example: c84951a0-8354-40b0-a1ee-c43d259f6a40
        country:
          type: string
          description: The country code
          example: US
      required:
        - phone
        - agentId
        - country
  securitySchemes:
    basic:
      type: http
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.